Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface DocumentEvent.ElementChange

All Known Implementing Classes:
  AbstractDocument.ElementEdit

Enclosing class:
  DocumentEvent

public static interface DocumentEvent.ElementChange

Describes changes made to a specific element.

Method Summary
`Element[]` | `getChildrenAdded()` Gets the child elements that were added to the given parent element.
`Element[]` | `getChildrenRemoved()` Gets the child elements that were removed from the given parent element.
`Element` | `getElement()` Returns the element represented.
`int` | `getIndex()` Fetches the index within the element represented.

Method Detail

### getElement

    public Element getElement()

  Returns the element represented. This is the element that was changed.
  Returns:
    the element

### getIndex

    public int getIndex()

  Fetches the index within the element represented. This is the location that children were added and/or removed.
  Returns:
    the index >= 0

### getChildrenRemoved

    public Element[] getChildrenRemoved()

  Gets the child elements that were removed from the given parent element. The element array returned is sorted in the order that the elements used to lie in the document, and must be contiguous.
  Returns:
    the child elements

### getChildrenAdded

    public Element[] getChildrenAdded()

  Gets the child elements that were added to the given parent element. The element array returned is in the order that the elements lie in the document, and must be contiguous.
  Returns:
    the child elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.